API 参考执行
列出 trace span
Trace 的 span。
GET
/api/v1/traces/{trace_id}/spansTrace 的 span。
认证与授权Bearer <token>
工作空间 API 密钥(a13n_...)
传递位置: header
路径参数
trace_id*Trace Id
匹配规则
^[0-9a-f]{32}$查询参数
limit?Limit
范围
1 <= value <= 100默认值
50cursor?string|null
请求头参数
X-Workspace-ID?|
登录会话作用的工作空间 ID,登录会话必须提供。API 密钥作用于自身工作空间,无需提供;禁止指定其他工作空间。
响应体
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/traces/string/spans"{ "items": [ { "attributes": { "property1": null, "property2": null }, "cost_usd": "string", "ended_at": "2019-08-24T14:15:22Z", "events": [ { "attributes": { "property1": null, "property2": null }, "name": "string", "timestamp": "2019-08-24T14:15:22Z" } ], "id": "string", "input": null, "kind": "string", "level": "string", "links": [ { "attributes": { "property1": null, "property2": null }, "span_id": "string", "trace_id": "string" } ], "model": "string", "name": "string", "output": null, "parent_id": "string", "resource_attributes": { "property1": null, "property2": null }, "scope": { "name": "string", "version": "string" }, "source_url": "string", "started_at": "2019-08-24T14:15:22Z", "status": "ok", "status_message": "string", "trace_id": "string", "usage": { "property1": 0, "property2": 0 } } ], "next_cursor": "string"}